Submit a initial questionnaire
curl --request POST \
--url https://om-staging.mylifeforce.com/api/m2m/patient/questionnaire/initial \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"$ref": "#/components/examples/QuestionnaireInitial/value"
}
'import requests
url = "https://om-staging.mylifeforce.com/api/m2m/patient/questionnaire/initial"
payload = { "$ref": "#/components/examples/QuestionnaireInitial/value" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({$ref: '#/components/examples/QuestionnaireInitial/value'})
};
fetch('https://om-staging.mylifeforce.com/api/m2m/patient/questionnaire/initial', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true
}{
"message": "Patient not found",
"error": 1
}{
"message": "Internal Server Error: {error message}"
}Questionnaires
Ingest Patient Initial Questionnaire
The API always returns true as background jobs process the questionnaire.
POST
/
patient
/
questionnaire
/
initial
Submit a initial questionnaire
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The id of the patient in question A universally unique identifier.
Example:
"29ea9012-c622-4851-a57a-9327abd21198"
Body
application/json
The body is of type object.
Response
Successful ingestion of initial questionnaire
Indicates if the operation was successful
⌘I